Bug 92139 - No translated strings
Summary: No translated strings
Status: RESOLVED FIXED
Alias: None
Product: PulseAudio
Classification: Unclassified
Component: misc (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: pulseaudio-bugs
QA Contact: pulseaudio-bugs
URL:
Whiteboard:
Keywords: i18n, l10n
Depends on: 92142
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 09:40 UTC by Dusan Kazik
Modified: 2016-11-27 15:38 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dusan Kazik 2015-09-27 09:40:25 UTC
I have added/updated slovak translation of PulseAudio, but after 0.7 update (using Arch), there are no translated strings in GUI/cmd line.

I have created bug report for arch package too, because i dont know if it is package/source code relative.

Translation is made via gnomes damned lies:
https://l10n.gnome.org/vertimus/PulseAudio/master/po/sk
Comment 1 Tanu Kaskinen 2015-09-27 11:51:19 UTC
Can you give an example of a command that used produce translated text? I tried this command:

    LANG=sk_SK pactl list

I tried 7.0 and 6.0, and in neither case I saw anything but English. I'm installing to /usr/local, though, and I'm not sure if gettext gets confused by that (it really shouldn't, but who knows).
Comment 2 Tanu Kaskinen 2015-09-27 11:57:18 UTC
Also, could you give the link to the Arch bug report?
Comment 3 Tanu Kaskinen 2015-09-27 12:20:34 UTC
This doesn't seem to be an upstream problem. I now figured out how to make the translation work on my Debian system: add sk_SK.UTF-8 to /etc/locale.gen, run locale-gen and use LANG=sk_SK.UTF-8 when running pactl (sk_SK isn't good enough, the charset needs to be included).
Comment 4 Tanu Kaskinen 2015-09-27 12:22:29 UTC
To clarify: I got the Slovak translation to work with 7.0.
Comment 5 Dusan Kazik 2015-09-28 19:44:18 UTC
Here is link to Arch bug:

https://bugs.archlinux.org/task/46452

It is now fixed, after rebuilding package by its maintainer.
I am not a developer, so take a look at the problem solution and close this thread as your will.


Thank you!
Comment 6 Tanu Kaskinen 2015-09-29 03:30:19 UTC
I'll close this when bug 92142 is closed. It turned out that there is something to improve in our build system.
Comment 7 Tanu Kaskinen 2016-11-27 15:38:42 UTC
Bug 92142 was closed, so closing this one too.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.